# frozen_string_literal: true

module ServerComponent
  class ComponentRoutersController < ServerComponent.parent_controller.constantize
    def show
      render json: component_router.to_json
    end

    private

    def component_router
      ServerComponent.mappings[name] || raise
    end

    def name
      params[:name]
    end
  end
end
