# frozen_string_literal: true

module ServerComponent
  module Generators
    class ControllerGenerator < Rails::Generators::NamedBase
      source_root File.expand_path('../templates', __dir__)

      desc 'Creates a ServerComponent initializer.'

      def create_controller_file
        template 'component_controller.rb', File.join('app/controllers', class_path, "#{file_name}_component_controller.rb")
      end
    end
  end
end
